Bug 165000 - portmap doesn't build on a rawhide system
portmap doesn't build on a rawhide system
Product: Fedora
Classification: Fedora
Component: portmap (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2005-08-03 09:59 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.90-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-09 03:47:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2005-08-03 09:59:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050729 Fedora/1.1-0.2.5.deerpark.alpha2 Firefox/1.0+

Description of problem:
rebuilds of portmap-4.0-65 on a rawhide system fails with the following error:
+ make FACILITY=LOG_AUTH 'ZOMBIES=-DIGNORE_SIGCHLD -Dlint' 'LIBS=-Wl,-Bstatic -lwrap -Wl,-Bdynamic -lnsl' 'RPM_OPT_FLAGS=-O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables' AUX=
cc -Dconst= -DHOSTS_ACCESS -DCHECK_PORT  -DFACILITY=LOG_AUTH  -DIGNORE_SIGCHLD -Dlint  -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -m32 -march=i386 -mtune=pentium4 -fasynchronous-unwind-tables   -fpie -c portmap.c
In file included from /usr/include/stdlib.h:967,
                 from /usr/include/rpc/types.h:59,
                 from /usr/include/rpc/rpc.h:41,
                 from portmap.c:83:
/usr/include/bits/stdlib.h:33: error: conflicting types for 'realpath'
/usr/include/stdlib.h:756: error: previous declaration of 'realpath' was here
make: *** [portmap.o] Error 1
error: Bad exit status from /var/tmp/portmap-4.0-65.src.rpm/rpm-tmp.65537 (%build)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.try to rebuild the package in fc5 / rawhide

Additional info:

This should be fixed before the next massrebuild
Comment 1 Steve Dickson 2005-08-08 06:54:36 EDT
I guess its not clear to me why this is a portmap problem.
Portmap has been using the same compile flags for quite
a long time now. So what has change in FC5 and shouldn't
those change be reevaluated so things like the portmapper
will not break?
Comment 2 Karsten Hopp 2005-08-08 07:31:27 EDT
Did we use -D_FORTIFY_SOURCE=2 in FC4, too ?
I've just gone through the list of build failures and bugzilla'd them when it
looked like something the maintainer might want to know about. Please reassign
to glibc-headers if you don't think that it can be fixed in the portmap package.
Comment 4 Jakub Jelinek 2005-08-09 03:47:43 EDT
Should be fixed in glibc-2.3.90-8.  Just curious, what's the reason for the
-Dconst= bogosity?

Note You need to log in before you can comment on or make changes to this bug.